name: Jenna Obie
locality:
country: United Kingdom
role: <a href="">Candidate Experience Specialist</a>
reports_to: marissaferber
picture: ../gitlab-logo-extra-whitespace.png
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: jobie1
departments:
  - People Group
  - Talent Acquisition
specialty: 
expertise:
story:

